Bug 1095878 - Review Request: python-frozen-flask - freezes a Flask application into a set of static files
Summary: Review Request: python-frozen-flask - freezes a Flask application into a set ...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Eduardo Echeverria
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-08 17:53 UTC by Diego Daguerre
Modified: 2018-12-06 14:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-12-06 14:41:57 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
echevemaster: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Diego Daguerre 2014-05-08 17:53:49 UTC
Spec URL: http://lunaticc0.fedorapeople.org/python-frozen-flask/python-frozen-flask.spec
SRPM URL: http://lunaticc0.fedorapeople.org/python-frozen-flask/python-frozen-flask-0.11-1.fc20.src.rpm
Description: Frozen-Flask freezes a Flask application into a set of static files. The result can be hosted without any server-side software other than a traditional web server.
FAS username: lunaticc0

Comment 1 Diego Daguerre 2014-05-08 17:56:03 UTC
This is my first package and I need sponsor.

Comment 2 Eduardo Echeverria 2014-05-08 17:57:52 UTC
I will take this

Comment 3 Eduardo Echeverria 2014-05-09 14:03:59 UTC
I've had the opportunity of to mentor of Diego face to face, here in FISL Brazil, and seems that all is ok here. so I will to do the offical review of  this package

Package Review
==============
 
Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed
 
 
 
===== MUST items =====
 
Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 7 files have unknown license. Detailed output of
     licensecheck in /home/echevemaster/1095878-python-frozen-
     flask/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
 
Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep
 
===== SHOULD items =====
 
Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.
 
===== EXTRA items =====
 
Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.
 
 
Rpmlint
-------
Checking: python-frozen-flask-0.11-1.fc21.noarch.rpm
          python-frozen-flask-0.11-1.fc21.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
 
 
 
 
Rpmlint (installed packages)
----------------------------
# rpmlint python-frozen-flask
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'
 
 
 
Requires
--------
python-frozen-flask (rpmlib, GLIBC filtered):
    python(abi)
    python-flask
 
 
 
Provides
--------
python-frozen-flask:
    python-frozen-flask
 
 
 
Source checksums
----------------
https://pypi.python.org/packages/source/F/Frozen-Flask/Frozen-Flask-0.11.tar.gz :
  CHECKSUM(SHA256) this package     : c348e0165b161efa44770157eba3e006cc6a1e9867bfd74670cbc56529cc5512
  CHECKSUM(SHA256) upstream package : c348e0165b161efa44770157eba3e006cc6a1e9867bfd74670cbc56529cc5512


Diego you can now proceed to request a repository:
https://fedoraproject.org/wiki/Package_SCM_admin_requests

Welcome aboard.

Comment 4 Diego Daguerre 2014-05-09 18:06:27 UTC
Thanks for welcolme and the support.

New Package SCM Request
=======================
Package Name: python-frozen-flask
Short Description: freezes a Flask application into a set of static files
Owners: lunaticc0 echevemaster
Branches: f20 f19 
InitialCC: echevemaster

Comment 5 Gwyn Ciesla 2014-05-09 19:41:02 UTC
Git done (by process-git-requests).

Comment 6 Petr Viktorin 2018-12-06 14:41:57 UTC
python-frozen-flask is in Fedora. I assume this bug was just forgotten, so I'm closing it.


Note You need to log in before you can comment on or make changes to this bug.